Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name | ### mouseDragged()
Examples |
    // Drag (click and hold) your mouse across the
    // image to change the value of the rectangle

    int value = 0;

    void draw() {
      fill(value);
      rect(25, 25, 50, 50);
    }

    void mouseDragged()
    {
      value = value + 5;
      if (value > 255) {
        value = 0;
      }
    }
Description | The mouseDragged() function is called once every time the mouse moves and a mouse button is pressed.
Syntax |
    void mouseDragged() {
      statements
    }
Parameters |
Usage | Web & Application
Related | mouseX mouseY mousePressed mousePressed() mouseReleased() mouseMoved()

Updated on September 27, 2006 08:58:41pm PDT